Bug 845711 - [abrt] supertuxkart-0.7-4.fc17: Process /usr/bin/supertuxkart was killed by signal 11 (SIGSEGV)
[abrt] supertuxkart-0.7-4.fc17: Process /usr/bin/supertuxkart was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: supertuxkart (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:a989cc8fe1d251c21fc96bee34a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 19:58 EDT by Randall Bingham
Modified: 2013-07-31 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.84 KB, text/plain)
2012-08-03 19:59 EDT, Randall Bingham
no flags Details
File: maps (18.83 KB, text/plain)
2012-08-03 19:59 EDT, Randall Bingham
no flags Details
File: dso_list (4.74 KB, text/plain)
2012-08-03 19:59 EDT, Randall Bingham
no flags Details

  None (edit)
Description Randall Bingham 2012-08-03 19:58:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        supertuxkart --log=file
crash_function: GUIEngine::SpinnerWidget::setValue
executable:     /usr/bin/supertuxkart
kernel:         3.5.0-2.fc17.i686
pid:            1540
pwd:            /home/randall/Documents
remote_result:  728808
time:           Fri 03 Aug 2012 06:53:05 PM CDT
uid:            1000
username:       randall

backtrace:      Text file, 22368 bytes
dso_list:       Text file, 4851 bytes
maps:           Text file, 19280 bytes

build_ids:
:337e11eb9e0aed20ac4fe0ed9201f3c7285a1f9b
:57d6de5ff5536ed125c804f036da93c46399c6e4
:f648d94ed6070ecb9603ce44f6a2b5a1804ff5c1
:7b9e064838c624e75b5a632da2db9e5146dbe70e
:c37ce5a56ac9116ef3203d075293c839e22aadc9
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:1cd0202320463bb5a57f77cdc4fe764105b405df
:c60024af920feb43604ff018b9b2d70440b316ea
:3acb49eb0c42230312a0b0e679162f2abc0f671f
:0cc6dfb37fa33a39b32a474c934995879f7bc561
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:c8fa5c94968e9cc3351c6f4be3549ddba978a10f
:40e137024e7f9911f388399637c7655df8709a34
:a052236088d0e128748dd47a336e683e8576e79d
:bde8cb660ad01d0e046013eeb1e0b27fb9609015
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:55bc1b72edfd3ba0f7b352fe971697b21c860d55
:b9570393b46c3b1c77ad81bce67e617e8608919a
:757d0ed5f496fc377d8558caf8987cefa4679f96
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:476bd9aa38655cd9cd57ab94071e79f6d6b4c76d
:635507de4d66deb229143ff49b92c5f490b3dfec
:d6921cd94f0f54303f563f2c188b89ff1bc609b2
:8fbd947e26890f56cf8a4f905001d5500daeeb63
:af169eb430392e159f50946f2d1ac223aa978347
:6ed60223886eadb17b2889b5bb9f3265980c1990
:480227a7bca28f7b6f8a785f94d35274f692e9d0
:7392567de5465b0521510eee724b7a0392bf8e63
:ad63525422103c7af64dc96d269f49b5bd6c6a9e
:043eccb02791fb7f064e23c6b73e45f1fdf3c243
:cdf4a22ae78a77d387cfbba3d667dba692429114
:a4d34e8ba9e750342f2baf8de2311e44e232d6d1
:25db3aa1d5ba511ce1f2615c8b5995285af564b1
:327661a5f401b69a985e63c374da3357fb7bd155
:134b4c40cf364e1b220077702ba9a23268d4ed55
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a
:dd9d8134efd68cf563286990110d5cbbad0e8fdd
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:409f7fce74f9fe59a9cd443bf3e43aa2a9680e18
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:0db1085b6f5f26681999bf8762e7374bb8179395
:9aea670864d2a34a222fd110376f7946b702de7c
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:bdefcd1310b1f24530d799dc0128edd358eb3331
:7e9d9994489152b4b37aa5bee934e9f2c8309a54
:e015db845d7b85410c1f5acfdff87223da464b9f
:2aa0a3c7fd741675fb8369e41ac0a688f804a29b
:5b5557b5b0427930b220a00961393e29809c42f0
:2c76cb4883f6704c6f0c53967d2a9b4ad383fb1f
:05e18e3ae09df2e67626b3f732bef0d35107f46f
:db56c1d3edf366f77378298f33ff20f8f275a218
:cbbb5c4f7aafbfef6a8298c1dda2e746929a4b82
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/randall/2

core_backtrace:
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0x99546 - [exe] -
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0x997ee - [exe] -
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0x76139 - [exe] -
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0xa0bc6 - [exe] -
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0xa10b7 - [exe] -
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0x75e01 - [exe] -
:db56c1d3edf366f77378298f33ff20f8f275a218 0x39e191 irr::CIrrDeviceStub::postEventFromUser(irr::SEvent libIrrlicht.so.1.7 -
:db56c1d3edf366f77378298f33ff20f8f275a218 0x393a30 irr::CIrrDeviceLinux::pollJoysticks() libIrrlicht.so.1.7 -
:db56c1d3edf366f77378298f33ff20f8f275a218 0x393b33 irr::CIrrDeviceLinux::run() libIrrlicht.so.1.7 -
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0x60c59 - [exe] -
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0x37c7a - [exe] -
:bde8cb660ad01d0e046013eeb1e0b27fb9609015 0x1bbb8 - [exe] -

environ:
:XDG_VTNR=1
:KDE_MULTIHEAD=false
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1028
:HOSTNAME=FedoraMachine
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:DESKTOP_STARTUP_ID=FedoraMachine;1344037787;522585;1117_TIME393801
:TERM=dumb
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/randall/.gtkrc-2.0:/home/randall/.gtkrc-2.0-kde4:/home/randall/.kde/share/config/gtkrc-2.0
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/randall/.gtkrc:/home/randall/.kde/share/config/gtkrc
:GS_LIB=
:GNOME_KEYRING_CONTROL=/run/user/randall/keyring-rvULRz
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=randall
:SSH_AUTH_SOCK=/tmp/ssh-EpZNuQSfI899/agent.899
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1103,unix/unix:/tmp/.ICE-unix/1103
:USERNAME=randall
:MAIL=/var/spool/mail/randall
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/randall/.local/bin:/home/randall/bin
:QT_IM_MODULE=xim
:PWD=/home/randall/Documents
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=895
:KDE_SESSION_UID=1000
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:SHLVL=2
:HOME=/home/randall
:XDG_SEAT=seat0
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=default
:LOGNAME=randall
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LdDGpLdNhg,guid=f7680ef0e3292e80a1df3b0c00000029
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/randall
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/randall/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-randall/xauth-1000-_0

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 19894                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       19894                19894                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[21568]
:pos:	0
:flags:	00
:1:/home/randall/.config/supertuxkart/stdout.log
:pos:	335
:flags:	01
:2:/home/randall/.config/supertuxkart/stderr.log
:pos:	326
:flags:	01
:3:socket:[27879]
:pos:	0
:flags:	02004002
:4:/dev/dri/card0
:pos:	0
:flags:	02
:5:pipe:[27905]
:pos:	0
:flags:	02004000
:6:pipe:[27905]
:pos:	0
:flags:	02004001
:7:socket:[27909]
:pos:	0
:flags:	02004002
:8:/usr/share/supertuxkart/data/sfx/horn.ogg
:pos:	29232
:flags:	00
:9:/usr/share/supertuxkart/data/sfx/bowling_roll.ogg
:pos:	31504
:flags:	00
:10:/usr/share/supertuxkart/data/sfx/strike.ogg
:pos:	27402
:flags:	00
:11:/usr/share/supertuxkart/data/sfx/bzzt.ogg
:pos:	8087
:flags:	00
:12:/usr/share/supertuxkart/data/sfx/crash.ogg
:pos:	4393
:flags:	00
:13:/usr/share/supertuxkart/data/sfx/engine_small.ogg
:pos:	13432
:flags:	00
:14:/usr/share/supertuxkart/data/sfx/engine_large.ogg
:pos:	10415
:flags:	00
:15:/usr/share/supertuxkart/data/sfx/explosion.ogg
:pos:	6871
:flags:	00
:16:/usr/share/supertuxkart/data/sfx/energy_bar_full.ogg
:pos:	7199
:flags:	00
:17:/usr/share/supertuxkart/data/sfx/goo.ogg
:pos:	22305
:flags:	00
:18:/usr/share/supertuxkart/data/sfx/grab_collectable.ogg
:pos:	7581
:flags:	00
:19:/usr/share/supertuxkart/data/sfx/locked.ogg
:pos:	33005
:flags:	00
:20:/usr/share/supertuxkart/data/sfx/shoot.ogg
:pos:	13939
:flags:	00
:21:/usr/share/supertuxkart/data/sfx/skid.ogg
:pos:	9775
:flags:	00
:22:/usr/share/supertuxkart/data/sfx/pre_start_race.ogg
:pos:	5882
:flags:	00
:23:/usr/share/supertuxkart/data/sfx/start_race.ogg
:pos:	5340
:flags:	00
:24:/usr/share/supertuxkart/data/sfx/track_intro.ogg
:pos:	80707
:flags:	00
:25:/usr/share/supertuxkart/data/sfx/swap.ogg
:pos:	22393
:flags:	00
:26:/usr/share/supertuxkart/data/sfx/ugh.ogg
:pos:	5607
:flags:	00
:27:/usr/share/supertuxkart/data/sfx/anvil.ogg
:pos:	7535
:flags:	00
:28:/usr/share/supertuxkart/data/sfx/parachute.ogg
:pos:	13045
:flags:	00
:29:/usr/share/supertuxkart/data/sfx/wee.ogg
:pos:	4655
:flags:	00
:30:/usr/share/supertuxkart/data/sfx/gp_end.ogg
:pos:	92697
:flags:	00
:31:/usr/share/supertuxkart/data/sfx/last_lap_fanfare.ogg
:pos:	71399
:flags:	00
:32:/dev/input/js0
:pos:	0
:flags:	04000
:33:/usr/share/supertuxkart/data/music/MayDayMayhem.ogg
:pos:	454656
:flags:	00

smolt_data:
:
:
:General
:=================================
:UUID: 666dacb0-07d5-4f58-a64f-baa395ea1413
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4194.72
:CPU Vendor: AuthenticAMD
:CPU Model: AMD A6-3500 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 18
:CPU Model Num: 1
:Number of CPUs: 3
:CPU Speed: 2100
:System Memory: 2504
:System Swap: 5118
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.5.0-2.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:30721:4163:34034) pci, ahci, STORAGE, Hudson SATA Controller [AHCI mode]
:(5772:19:4997:24064) pci, ath5k, ETHERNET, Atheros AR5001X+ Wireless Network Adapter
:(4130:5893:4163:33992) pci, None, HOST/PCI, Family 12h Processor Root Complex
:(4098:38474:4163:33992) pci, radeon, VIDEO, N/A
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4130:30728:4163:34034) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:34034) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4130:17312:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:17313:4130:0) pci, pcieport, PCI/PCI, N/A
:(4130:30731:4163:34034) pci, piix4_smbus, SERIAL, Hudson SMBus Controller
:(4130:30734:4163:34034) pci, None, PCI/ISA, Hudson LPC Bridge
:(4130:30733:4163:33861) pci, snd_hda_intel, MULTIMEDIA, Hudson Azalia Controller
:(4130:30729:4163:34034) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30735:0:0) pci, None, PCI/PCI, Hudson PCI Bridge
:(4130:30728:4163:34034) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:34034) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30728:4163:34034) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4163:34034) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 4711139 1731204 1684026 1179648 922155 922155
:/dev/sda3 /home ext4 4096 4096 7352279 6079121 5710558 1843200 1831169 1831169
:

var_log_messages:
:Aug  3 18:53:05 FedoraMachine kernel: [  591.573867] supertuxkart[1540]: segfault at 44 ip 080d1546 sp bfdcf160 error 4 in supertuxkart[8038000+1d9000]
:Aug  3 18:53:08 FedoraMachine abrt[1579]: Saved core dump of pid 1540 (/usr/bin/supertuxkart) to /var/spool/abrt/ccpp-2012-08-03-18:53:05-1540 (177442816 bytes)

xsession_errors:
:[FileManager] Data files will be fetched from: '/usr/share/supertuxkart/'
:Error messages and other text output will be logged to /home/randall/.config/supertuxkart/stdout.log and /home/randall/.config/supertuxkart/stderr.loglink XMLID_34_ hasn't been detected!
:[FileManager] Data files will be fetched from: '/usr/share/supertuxkart/'
:Error messages and other text output will be logged to /home/randall/.config/supertuxkart/stdout.log and /home/randall/.config/supertuxkart/stderr.loglink XMLID_34_ hasn't been detected!
Comment 1 Randall Bingham 2012-08-03 19:59:06 EDT
Created attachment 602204 [details]
File: backtrace
Comment 2 Randall Bingham 2012-08-03 19:59:08 EDT
Created attachment 602205 [details]
File: maps
Comment 3 Randall Bingham 2012-08-03 19:59:09 EDT
Created attachment 602206 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 19:47:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:45:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.